%define name fgcom
%define version svn.249
%define release %mkrel 1
%define prefix /usr

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Summary:	FlightGear voip communication
License:	GPL2
URL:		http://code.google.com/p/fgcomgui/
Group: 		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}.tar.xz
Patch0:		fgcomgui-fgcom_01192010.diff
BuildRequires:	%{_lib}plib1-devel %{_lib}simgear-devel

%description
FGCom is a command line, voip, virtual radio software built around Asterisk. It works together with the FlightGear flight simulator to bring realistic radio communications to your FlightGear sessions

%prep
%setup -q -n %{name}
%patch0

# Fix install dirs
sed -i -e 's|INSTALL_BIN:=/usr/local/bin|INSTALL_BIN:=\%{_bindir}|g' src/Makefile
sed -i -e 's|INSTALL_DIR:=/usr/local/fgcom|INSTALL_DIR:=\%{_datadir}/games/fgcom|g' src/Makefile

# Fix sound
sed -i -e 's|STATIC_LIBS:=../iaxclient/lib/libiaxclient.a -lopenal -lplibnet -lplibul -lz -lm|STATIC_LIBS:=../iaxclient/lib/libiaxclient.a -lopenal -lplibnet -lplibul -lz -lm -lasound -lpthread|g' src/Makefile

# Don't build embedded iaxclient
# sed -i -e 's|all: fgcomstatic iaxclient|all: fgcomstatic|g' src/Makefile

%build
cd src
%make

%install
rm -rf %{buildroot}
# We need to setup the build dirs
install -d %{buildroot}%{_datadir}/games/fgcom
install -d %{buildroot}%{_bindir}

# Manual install, the makefile installdir is for file installing and internal locations so we can't use buildroot
cd src
install -m655 fgcom %{buildroot}%{_bindir}
install -m644 ../data/phonebook.txt ../data/positions.txt %{buildroot}%{_datadir}/games/fgcom 

%clean
rm -rf %{buildroot}

%post
cat << EOF

Important! You will need to update your /etc/security/limits.conf
Make sure you have this entry set to 60 like this:
@audio          -       rtprio           60 
After the change is made then reboot your system and start fgcomgui from the menu
enjoy

EOF


%files
%defattr(-,root,root,755)
%doc LICENSE.txt README
%{_bindir}
%{_datadir}

%changelog
* Mon Jan 02 2012 MBantz <martin dot bantz at gmail dot com> svn.249-1pclos2011
- Adapted to 64 bit

* Sun Nov 28 2010 MBantz <martin dot bantz at gmail dot com> svn.249-1pclos2010
- Built for PCLinuxOS
